fn main() {
    let mut arr = vec![1, 2, 3, 4, 5];
    arr.push(6);
    println!("{:?}", arr);
    println!("First value: {}", arr[0]);
    println!("Last value: {}", arr[arr.len() - 1]);
    let sum = arr.into_iter().reduce(|a, b| a + b);
    println!("Sum: {:?}", sum);
}